### Class

# Foundry DebuggerTarget

#### Description [src]

    abstract class Foundry.DebuggerTarget : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for representing the types of targets a debugger can connect to.

#### Ancestors

- GObject

#### Descendants

- FoundryDebuggerTargetCommand
- FoundryDebuggerTargetProcess
- FoundryDebuggerTargetRemote

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerTargetClass {
      /* no available fields */
    }

No description available.